{%- import 'macros.html' as macros with context -%}
{#-
Expected context:
- USERS
- GROUPS
- USERID
-#}
<div class="account">
{%- if userid -%}
	<p>
		Hallo {{ macros.render_username(userid) }}.
		{#-{% if users[userid].groupid is not none %}
		Du bist in Gruppe <span class="groupname groupcolor" style="--groupcolor: {{ groups[users[userid].groupid].color | e }}" >{{ users[userid].groupid | e }}</span>.
		{% endif %}-#}
	</p>
	<a href="{{ url_for('get_settings') }}" class="btn btn-quaternary">Einstellungen</a>
	<a href="{{ url_for('submissions') }}" class="btn btn-secondary">Deine Einreichungen</a>
	<a href="{{ url_for('auth.logout') }}" class="btn btn-tertiary">Abmelden</a>
{%- else -%}
	<a href="{{ url_for('auth.login') }}" class="btn btn-primary attention">Anmelden / Registrieren</a><br>
	<p>
		Mit dem Anmelden/Registrieren willigst du unseren
		<a href="{{ url_for('rules') }}"><span>Spielregeln</span></a>,
		{# <a href="{{ url_for('nutzungsbedingungen') }}"><span>Nutzungsbedingungen</span></a>, -#}
		unserer
		<a href="{{ url_for('datenschutz') }}"><span>Datenschutzerklärung</span></a>
		und der zugehörigen Datenverarbeitung
		ein.
	</p>
{%- endif -%}
</div>
